Description

I am unable to compile libpreludedb. It seems the following functions in configure.ac are not working:

gl_EARLY

dnl **************************************************                                            

                           

dnl * Check for missing function replacement         *                                            

                           

dnl **************************************************                                            

                           

gl_SOURCE_BASE(libmissing)

gl_M4_BASE(libmissing/m4)

gl_INIT

 

Which produces the following output:

quinificator% ./autogen.sh

Running gtkdocize...

Running libtoolize...

Running autoreconf...

configure:21706: error: possibly undefined macro: gl_CHECK_NEXT_HEADERS

      If this token and others are legitimate, please use m4_pattern_allow.

      See the Autoconf documentation.

configure:23322: error: possibly undefined macro: gl_FLOAT_H

configure:24308: error: possibly undefined macro: gl_STDINT_H

configure:25215: error: possibly undefined macro: gl_WCHAR_H

autoreconf: /usr/bin/autoconf failed with exit status: 1

You can now run "./configure --enable-developer-mode" and "make" 

History

#1 - 08/15/2007 11:23 AM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to invalid

[[GnuLib]] require very recent version of Autoconf / Automake. Please retry with at least autoconf 2.60 and automake 1.9.

#2 - 08/15/2007 02:59 PM - 

- Status changed from Closed to Feedback

- Resolution deleted (invalid)
Untrue:

$ automake --version

automake (GNU automake) 1.9.6

Written by Tom Tromey <tromey@redhat.com>.

Copyright 2005 Free Software Foundation, Inc.

This is free software; see the source for copying conditions.  There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

$ autoconf -V

autoconf (GNU Autoconf) 2.61

Copyright (C) 2006 Free Software Foundation, Inc.

This is free software.  You may redistribute copies of it under the terms of

the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.

There is NO WARRANTY, to the extent permitted by law.

Written by David J. [[MacKenzie]] and Akim Demaille.

 

Installing glib1.2-dev and/or glib2.0-dev renders the same error...

<pre>

#3 - 08/15/2007 08:31 PM - 

Hmm, I did a:

and it looks okay now.

#4 - 08/15/2007 08:32 PM - 

The working directory being:

of course.

#5 - 08/16/2007 02:15 PM - Yoann VANDOORSELAERE

- Status changed from Feedback to Closed
- Resolution set to fixed

(In r9804) Update [[GnuLib]] code, include missing files (fix #250).

#6 - 08/16/2007 02:16 PM - Yoann VANDOORSELAERE

Thanks for the report, some newly included file from [[GnuLib]] were missing.

r9804 should fix this issue.

#7 - 04/29/2009 12:23 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to LibpreludeDB

- Category deleted (2)

- Target version deleted (0.9.13)
